Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029560
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-04-10 12:082015-05-07 22:16
ReporteregoitzView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision7b71a49c0644
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029560: The addDetails popup does not respond after several seachs on grid with big amout of data.

DescriptionOn an environment with a lot of invoices to be selected onthe grid of the popup
when searching several times using a part of the documetno of the invoice, after some attemps, the grid shows loading data and does not respond
Steps To Reproduce-Open the addDetail popup for a payment in that shows thousand of invoices.
-Select the first invoice which appears in the Order/Invoice grid
-Search for a invoice using a part of the documentno (using a string with length > 1)
-The grid is locked with loading text
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029548 closedaferraz The new window to add transactions from payments is not working with a big amount of data 
related to defect 00320913.0PR16Q2 closedcaristu The Order/Invoices grid in Add Details must always sort by selected records first 

-  Notes
(0076534)
aferraz (developer)
2015-04-14 17:33
edited on: 2015-04-14 17:50

An exception is raised when following steps: Uncaught BigDecimal(): Not a number: n,u,l,l

When typing a filter (string of length = 2) in the invoiceno column, waitting a second between each char, two requests are made (one for each char). When finishing the first request, data in the grid is not yet loaded and the following code inside updateInvOrderTotal function raises an exception (amt is null):
bdAmt = new BigDecimal(String(amt));

To simulate an environment with big amount of invoices, it can be added a sleep of 5 seconds at the beginning of getData method in HQLDataSourceService.java

(0076576)
hgbot (developer)
2015-04-16 10:24

Repository: erp/devel/pi
Changeset: 7b71a49c064490323f996f26b3b9cbc08c9c51e1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 16 10:13:54 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7b71a49c064490323f996f26b3b9cbc08c9c51e1 [^]

fixes issue 29560: added function to check if the data is loaded in p&e grids

A check is added to prevent the execution of the on grid load functions if the local data is not loaded.
This problem could happen when a request is done and the load of a previous request has not finished.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0077132)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-10 12:08 egoitz New Issue
2015-04-10 12:08 egoitz Assigned To => Sandrahuguet
2015-04-10 12:08 egoitz Modules => Core
2015-04-10 12:08 egoitz Triggers an Emergency Pack => No
2015-04-10 12:09 egoitz Assigned To Sandrahuguet => umartirena
2015-04-10 12:09 egoitz Tag Attached: Performance
2015-04-10 12:11 egoitz Relationship added related to 0029548
2015-04-14 12:48 Triage Finance Assigned To umartirena => Triage Finance
2015-04-14 17:33 aferraz Note Added: 0076534
2015-04-14 17:33 aferraz Assigned To Triage Finance => platform
2015-04-14 17:33 aferraz Steps to Reproduce Updated View Revisions
2015-04-14 17:50 aferraz Note Edited: 0076534 View Revisions
2015-04-16 08:21 alostale Status new => scheduled
2015-04-16 08:21 alostale Assigned To platform => caristu
2015-04-16 10:17 caristu Issue Monitored: alostale
2015-04-16 10:23 caristu Review Assigned To => alostale
2015-04-16 10:24 hgbot Checkin
2015-04-16 10:24 hgbot Note Added: 0076576
2015-04-16 10:24 hgbot Status scheduled => resolved
2015-04-16 10:24 hgbot Resolution open => fixed
2015-04-16 10:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7b71a49c064490323f996f26b3b9cbc08c9c51e1 [^]
2015-04-24 14:46 alostale Status resolved => closed
2015-04-24 14:46 alostale Fixed in Version => 3.0PR15Q3
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077132
2016-02-02 13:33 caristu Relationship added related to 0032091


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker